package {
	import flash.desktop.NativeApplication;
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	import starling.core.Starling;
	
	/*
	 * This demo project was downloaded from http://labs.kaliko.com/2013/02/create-android-app-with-flash.html
	 * Visit that page for more information about what this code does.
	 * 
	 * Code and graphical assets in this project are submitted under public domain, free to use as you please.
	 * Included libraries might have other licenses attached.
	 *
	 */
	public class Main extends Sprite {
		private var _starling:Starling;
		
		public function Main():void {
			// This time we won't scale our application (check next post for that :).
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			// Trigger an event handler when application looses focus (see note in handler).
			stage.addEventListener(Event.DEACTIVATE, deactivate);
			
			SetupStarling();
		}
		
		private function SetupStarling():void {
			// Create a new instance and pass our class and the stage
			_starling = new Starling(MyStarlingApp, stage);
			
			// Show debug stats
			_starling.showStats = true;
			
			// Define level of antialiasing, 
			_starling.antiAliasing = 1;
			
			_starling.start();
		}
		
		private function deactivate(e:Event):void {
			// Auto-close the application when it looses focus. This is what you want 
			// to do if you don't want that your application continues to run in the 
			// background if the user switch program, answer a call or anything else 
			// that would cause your application to lose focus.
			//
			// If you want to keep it running you should at least pause it until the 
			// user returns. That's achieved by calling _starling.stop(). You should 
			// also add an event listener for the Event.ACTIVATE event that will 
			// trigger _starling.start() once the application get's focus again.
			//
			NativeApplication.nativeApplication.exit();
		}
	}
}